summaryrefslogtreecommitdiff
path: root/fuzz
diff options
context:
space:
mode:
authorMartin Thomson <martin.thomson@gmail.com>2018-08-29 16:30:01 +1000
committerMartin Thomson <martin.thomson@gmail.com>2018-08-29 16:30:01 +1000
commit5d6a9a4b2c4ac4e1245896f441ab0bcb5828ae4a (patch)
tree7965c29b25f11f55ae245605591676ae7d539e26 /fuzz
parent1190ff5763fbc57ea7d31842e6c541401b8552b6 (diff)
downloadnss-hg-5d6a9a4b2c4ac4e1245896f441ab0bcb5828ae4a.tar.gz
try: -p linux64-fuzz -u gtest -t none
Diffstat (limited to 'fuzz')
-rwxr-xr-xfuzz/config/git-copy.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/fuzz/config/git-copy.sh b/fuzz/config/git-copy.sh
index ff11dd02f..13892bc90 100755
--- a/fuzz/config/git-copy.sh
+++ b/fuzz/config/git-copy.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-set -ex
+set -e
if [ $# -lt 3 ]; then
echo "Usage: $0 <repo> <branch> <directory>" 1>&2
@@ -17,7 +17,6 @@ if [ -z "$ACTUAL" ]; then
# Use this directly on the hope that it works.
ACTUAL="$COMMIT"
fi
-echo "Using commit hash '$ACTUAL'"
if [ -f "$DIR"/.git-copy ]; then
CURRENT=$(cat "$DIR"/.git-copy)
if [ "$CURRENT" = "$ACTUAL" ]; then
@@ -27,8 +26,7 @@ if [ -f "$DIR"/.git-copy ]; then
fi
rm -rf "$DIR"
-git --version
git init -q "$DIR"
-git -C "$DIR" pull -q --depth=1 "$REPO" "$ACTUAL"
+git -C "$DIR" pull -q --depth=1 "$REPO" "$COMMIT"
git -C "$DIR" rev-parse --verify HEAD > "$DIR"/.git-copy
rm -rf "$DIR"/.git